import { type Base, genBase } from './_base'
import type { District } from './district'

export interface Village extends Base {
  district_code: string
  code: string
  name: string

  // preload
  district?: District | null
}

export function genVillage(): Village {
  return {
    ...genBase(),
    district_code: '',
    code: '',
    name: '',
  }
}
